Bug 662255 - Review Request: php-pear-CodeGen - Framework to create code generators that operate on XML descriptions
Summary: Review Request: php-pear-CodeGen - Framework to create code generators that o...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 662249
Blocks: 662257
TreeView+ depends on / blocked
 
Reported: 2010-12-11 02:12 UTC by Robert Scheck
Modified: 2011-01-18 21:36 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-18 17:26:02 UTC
fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2010-12-11 02:12:56 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen-1.0.7-1.src.rpm
Description:
Provides the base framework to create code generators that operate on XML
descriptions like CodeGen_PECL and CodeGen_MySqlUDF.

Comment 1 Robert Scheck 2010-12-11 02:30:52 UTC
Somehow, the RPM dependency to php-pear(Console_Getopt) doesn't work, but why?

Comment 2 Robert Scheck 2010-12-11 19:12:23 UTC
Ignore comment #1, dependency works as expected, because the php-pear package
provides php-pear(Console_Getopt) already.

Comment 3 Robert Scheck 2010-12-11 19:28:47 UTC
http://fedoraproject.org/wiki/Packaging/PHP#PEAR_Modules will be honored with
this updated package - thanks to Remi for pointing out this.

Spec URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-pear-CodeGen-1.0.7-2.src.rpm

Comment 4 Remi Collet 2010-12-30 17:19:01 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F-14 x86_64
 [x] Rpmlint output:
php-pear-CodeGen.spec: I: checking-url http://pear.php.net/get/CodeGen-1.0.7.tgz (timeout 10 seconds)
php-pear-CodeGen.src: I: checking
php-pear-CodeGen.src: I: checking-url http://pear.php.net/package/CodeGen (timeout 10 seconds)
php-pear-CodeGen.src: I: checking-url http://pear.php.net/get/CodeGen-1.0.7.tgz (timeout 10 seconds)
php-pear-CodeGen.noarch: I: checking
php-pear-CodeGen.noarch: I: checking-url http://pear.php.net/package/CodeGen (timeout 10 seconds)
php-pear-CodeGen.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
	Used : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: PHP
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	b5cfe51e7291535ee2b62dece0d20ee0  CodeGen-1.0.7.tgz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.
 [!] Final requires
php-common >= 4.3
php-pear(Console_Getopt) >= 1.0
php-pear(PEAR)  
 [x] Final provides
php-pear(CodeGen) = 1.0.7
php-pear-CodeGen = 1.0.7-2.fc14
=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F14.i386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: koji scratch build
	http://koji.fedoraproject.org/koji/taskinfo?taskID=2694200
 [-] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the tests pass

From PCI report
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| /usr/share/pear/CodeGen/*   | 5.0.0   | 0 | ctype      | E_ALL              |
|                             |         |   | date       | E_COMPILE_ERROR    |
|                             |         |   | pcre       | E_COMPILE_WARNING  |
|                             |         |   | xml        | E_CORE_ERROR       |
|                             |         |   |            | E_CORE_WARNING     |
|                             |         |   |            | E_ERROR            |
|                             |         |   |            | E_NOTICE           |
|                             |         |   |            | E_PARSE            |
|                             |         |   |            | E_STRICT           |
|                             |         |   |            | E_USER_ERROR       |
|                             |         |   |            | E_USER_NOTICE      |
|                             |         |   |            | E_USER_WARNING     |
|                             |         |   |            | E_WARNING          |
|                             |         |   |            | FALSE              |
|                             |         |   |            | LC_ALL             |
|                             |         |   |            | NULL               |
|                             |         |   |            | TRUE               |
|                             |         |   |            | ...ON_CASE_FOLDING |
|                             |         |   |            | abstract           |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
+-----------------------------+---------+---+------------+--------------------+

Upstream also report that it requires php > 5

So, remove "php-common >= 4.3" and add "php-xml >= 5.0.0" instead

No other issue, package will be approved after the Requires fixed.

Comment 6 Remi Collet 2010-12-31 07:15:50 UTC
Requires fixed.

*** APPROVED ***

Comment 7 Robert Scheck 2010-12-31 17:55:44 UTC
Remi, thank you very much for the review.


New Package SCM Request
=======================
Package Name: php-pear-CodeGen
Short Description: Framework to create code generators that operate on XML descriptions
Owners: robert
Branches: EL-5 EL-6 F-13 F-14
InitialCC:

Comment 8 Kevin Fenzi 2011-01-02 20:14:50 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-01-02 20:41:39 UTC
php-pear-CodeGen-1.0.7-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-1.0.7-3.fc14

Comment 10 Fedora Update System 2011-01-02 20:42:10 UTC
php-pear-CodeGen-1.0.7-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-1.0.7-3.fc13

Comment 11 Fedora Update System 2011-01-02 20:42:31 UTC
php-pear-CodeGen-1.0.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-CodeGen-1.0.7-3.el5

Comment 12 Fedora Update System 2011-01-03 17:31:34 UTC
php-pear-CodeGen-1.0.7-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-CodeGen'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-pear-CodeGen-1.0.7-3.el5

Comment 13 Fedora Update System 2011-01-18 17:25:57 UTC
php-pear-CodeGen-1.0.7-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-01-18 21:31:01 UTC
php-pear-CodeGen-1.0.7-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-01-18 21:36:44 UTC
php-pear-CodeGen-1.0.7-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.